For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/logs/get-api-logs-v1emails-by-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Get Email Log Details

GET
/api/logs/v1/emails/:id
1const response = await fetch("https://reloop.sh/api/logs/v1/emails/{id}", {
2 method: "GET",
3 headers: {
4 "Authorization": "Bearer re_123456789",
5 },
6});
7
8const data = await response.json();
1{
2 "id": "con_123456789",
3 "messageId": "example_messageId",
4 "organizationId": "example_organizationId",
5 "domainId": "example_domainId",
6 "fromEmail": "example_fromEmail",
7 "fromName": "example_fromName",
8 "toEmails": [
9 "example_toEmails"
10 ],
11 "ccEmails": [
12 "example_ccEmails"
13 ],
14 "bccEmails": [
15 "example_bccEmails"
16 ],
17 "replyTo": "example_replyTo",
18 "subject": "Welcome to Reloop",
19 "textBody": "example_textBody",
20 "htmlBody": "example_htmlBody",
21 "status": "example_status",
22 "errorMessage": "example_errorMessage",
23 "provider": "example_provider",
24 "size": 0,
25 "headers": {
26 "company": "Reloop",
27 "role": "Developer"
28 },
29 "sentAt": "2026-03-23T10:00:00.000Z",
30 "deliveredAt": "2026-03-23T10:00:00.000Z",
31 "failedAt": "2026-03-23T10:00:00.000Z",
32 "createdAt": "2026-03-23T10:00:00.000Z",
33 "updatedAt": "2026-03-23T10:00:00.000Z",
34 "events": [
35 {
36 "id": "con_123456789",
37 "type": "example_type",
38 "metadata": null,
39 "createdAt": "2026-03-23T10:00:00.000Z"
40 }
41 ]
42}

Path Parameters

idstringRequired

Was this page helpful?